### Method

# GimpUi FileChooser get_file

since: 3.0

#### Declaration [src]

    GFile*
    gimp_file_chooser_get_file (
      GimpFileChooser* chooser
    )

#### Description [src]

Gets the currently selected file.

Available since: 3.0

Gets property | `GimpUi.FileChooser:file`

#### Return value

Type: `GFile`

An internal copy of the file which must not be freed.

The returned data is owned by the instance.